For a complete page index, fetch https://docs.synthflow.ai/llms.txt. For full documentation content, fetch https://docs.synthflow.ai/llms-full.txt.

# List chats

GET https://api.synthflow.ai/v2/chat

Retrieve a list of chats, optionally filtered by agent ID.

Reference: https://docs.synthflow.ai/api-reference/platform-api/chat/list-chats

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Synthflow APIs
  version: 1.0.0
paths:
  /chat:
    get:
      operationId: list-chats
      summary: List chats
      description: Retrieve a list of chats, optionally filtered by agent ID.
      tags:
        - subpackage_chat
      parameters:
        - name: agent_id
          in: query
          description: Filter chats by agent ID.
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: Limit the number of chats to return.
          required: false
          schema:
            type: integer
            default: 10
        - name: cursor
          in: query
          description: Cursor to start from.
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Chat_list-chats_Response_200'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/List-chatsRequestBadRequestError'
servers:
  - url: https://api.synthflow.ai/v2
  - url: https://api.us.synthflow.ai/v2
components:
  schemas:
    status:
      type: string
      description: Whether the request was successful.
      title: status
    ChatGetResponsesContentApplicationJsonSchemaResponseChatsItemsChatStatus:
      type: string
      enum:
        - ongoing
        - completed
        - cancelled
      title: ChatGetResponsesContentApplicationJsonSchemaResponseChatsItemsChatStatus
    ChatGetResponsesContentApplicationJsonSchemaResponseChatsItems:
      type: object
      properties:
        chat_id:
          type: string
          format: uuid
        chat_status:
          $ref: >-
            #/components/schemas/ChatGetResponsesContentApplicationJsonSchemaResponseChatsItemsChatStatus
        start_timestamp:
          type: string
          format: date-time
      required:
        - chat_id
        - chat_status
        - start_timestamp
      title: ChatGetResponsesContentApplicationJsonSchemaResponseChatsItems
    ChatGetResponsesContentApplicationJsonSchemaResponse:
      type: object
      properties:
        chats:
          type: array
          items:
            $ref: >-
              #/components/schemas/ChatGetResponsesContentApplicationJsonSchemaResponseChatsItems
        has_more:
          type: boolean
          description: Indicates whether there are more chats available.
        next_cursor:
          type: string
          description: Cursor to use for pagination to retrieve the next page of results.
      required:
        - chats
        - has_more
        - next_cursor
      title: ChatGetResponsesContentApplicationJsonSchemaResponse
    Chat_list-chats_Response_200:
      type: object
      properties:
        status:
          $ref: '#/components/schemas/status'
        response:
          $ref: >-
            #/components/schemas/ChatGetResponsesContentApplicationJsonSchemaResponse
      title: Chat_list-chats_Response_200
    List-chatsRequestBadRequestError:
      type: object
      properties: {}
      title: List-chatsRequestBadRequestError
  securitySchemes:
    sec0:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python Chat_list-chats_example
import requests

url = "https://api.synthflow.ai/v2/chat"

querystring = {"agent_id":"893195c1-c640-438b-9761-2e5357b01cb8"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```go Chat_list-chats_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/chat?agent_id=893195c1-c640-438b-9761-2e5357b01cb8"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Chat_list-chats_example
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/chat?agent_id=893195c1-c640-438b-9761-2e5357b01cb8")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Chat_list-chats_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.synthflow.ai/v2/chat?agent_id=893195c1-c640-438b-9761-2e5357b01cb8")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```csharp Chat_list-chats_example
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/chat?agent_id=893195c1-c640-438b-9761-2e5357b01cb8");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Chat_list-chats_example
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/chat?agent_id=893195c1-c640-438b-9761-2e5357b01cb8")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```